%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname whiskey_disk
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Ruby tool for embarrassingly fast deployments
Name: rubygem-%{gemname}
Version: 0.6.24
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/flogic/whiskey_disk
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:        ruby(abi) = 1.8
Requires:       rubygems
Requires:       rubygem(rake)
BuildRequires:  rubygems
BuildRequires:  rubygem(rake)
# Commenting out these BRs and %%check right now to fix FTBFS bug 716028
#BuildRequires:  rubygem(bacon)
#BuildRequires:  rubygem(facon)
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
Opinionated gem for doing fast git-based server deployments.

%package doc
Summary:           Documentation for %{name}
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

rm -f %{buildroot}%{geminstdir}/.gitignore
rm -f %{buildroot}%{geminstdir}/*.gemspec

%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}%{geminstdir}
#rake test
popd

%files
%defattr(-, root, root, -)
%{_bindir}/wd*
%dir %{geminstdir}
%doc %{geminstdir}/README.markdown
%doc %{geminstdir}/MIT-LICENSE
%doc %{geminstdir}/VERSION
%doc %{geminstdir}/WHY.txt
%doc %{geminstdir}/CHANGELOG
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{gemdir}/cache/%{gemname}-%{version}.gem
%{geminstdir}/bin
%{geminstdir}/lib


%files doc
%defattr(-, root, root, -)
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/examples
%{geminstdir}/Rakefile
%{geminstdir}/README.integration_specs
%{geminstdir}/spec
%{geminstdir}/tasks
%{geminstdir}/init.rb
%{geminstdir}/install.rb
# This contains other git repos, used for testing
%{geminstdir}/scenarios

%changelog
* Sun Jan 08 2012 <stahnma@fedoraproject.org> -  0.6.24-1
- Update to 0.6.24
- Fix 716028

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 24 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.6.2-1
- New version from upstream

* Fri Nov 12 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.5.4-1
- New version from upstream

* Mon Oct 25 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.5.3-1
- Initial package
